Skip to main content
GET
GET /api/v1/company/{companyId}/users
Retrieves all users associated with a specific company.

Authorizations

X-API-Key
string
header
required

Path Parameters

companyId
string<uuid>
required

Query Parameters

page
integer
default:0

Page number to get, used with pageSize

size
integer
default:20

Number of items to get in one request, used with page

sort
string

Property to sort by. Append ',' and directions 'asc/desc' to change direction

Response

200 - application/json

OK

userId
string<uuid>
name
string
firstName
string
middleName
string
lastName
string
emailAddress
string
emailVerified
boolean
preload
boolean
mobilePhone
string
mobilePhoneVerified
boolean
mobilePhoneVerifiedWeb
boolean
profileId
string
profileImageURI
string
profileImageId
string<uuid>
profileImageBackground
string
timeZone
string
registeredDateTime
string<date-time>
active
boolean
actedAs
boolean